Subject: Re: [PATCH 07/21] userns: Use kgids for sysctl_ping_group_range

From: Vasiliy Kulikov <segoon-cxoSlKxDwOJWk0Htik3J/[email-masked]>
Date: Mon, 20 Aug 2012 22:09:23 +0400

On Mon, Aug 13, 2012 at 13:18 -0700, Eric W. Biederman wrote:
> From: "Eric W. Biederman" <ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked]>
> 
> - Store sysctl_ping_group_range as a paire of kgid_t values
>   instead of a pair of gid_t values.
> - Move the kgid conversion work from ping_init_sock into ipv4_ping_group_range
> - For invalid cases reset to the default disabled state.
> 
> With the kgid_t conversion made part of the original value sanitation
> from userspace understand how the code will react becomes clearer
> and it becomes possible to set the sysctl ping group range from
> something other than the initial user namespace.
> 
> Cc: Vasiliy Kulikov <segoon-cxoSlKxDwOJWk0Htik3J/[email-masked]>
> Signed-off-by: Eric W. Biederman <ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked]>

Looks good.

Acked-by: Vasiliy Kulikov <segoon-cxoSlKxDwOJWk0Htik3J/[email-masked]>

Thanks,

-- 
Vasiliy Kulikov
http://www.openwall.com - bringing security into open computing environments